Bug 2204 - Improve provides/requires generation for python3 modules
: Improve provides/requires generation for python3 modules
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 14:36 MSD by Denis Silakov
Modified: 2013-07-17 11:38 MSD (History)
2 users (show)

See Also:
RPM Package: rpmbuild
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-06-14 14:36:39 MSD
Currently rpmbuild uses the same strategy for python and python3 modules when generating requires/provides and generate pythonegg() entries for both python2 and python3 modules. As a result, we get a lot of alternatives that are hard to be distinguished for users.

E.g., 'pythonegg(distribute)' is currently provided by both python-distribute and python3-distribute. If some package requires 'pythonegg(distribute)', then user will have to choose between python and python3 modules. If he makes a wrong choice, the package will fail to work.

This issue can be solved on rpm level - I suggest to leave 'pythonegg()' reqs for python2 modules and use 'python3egg()' for python3 ones.
Comment 2 Vladimir Potapov 2013-07-10 16:18:14 MSD
How to check this update?
Comment 3 Denis Silakov 2013-07-15 16:26:10 MSD
All python3-* packages now should provide 'pythonegg3(*)', while python2 packages should use old-style 'pythonegg(*)'.

For example, python-lxml should provide pythonegg(lxml), while python3-lxml - python3egg(lxml).

Updated build lists (old ones were destroyed, since more than a month has passed):

(rpm)
https://abf.rosalinux.ru/build_lists/1180658
https://abf.rosalinux.ru/build_lists/1180659

(python-httplib2)
https://abf.rosalinux.ru/build_lists/1180690
https://abf.rosalinux.ru/build_lists/1180691

(python-distribute)
https://abf.rosalinux.ru/build_lists/1180692
https://abf.rosalinux.ru/build_lists/1180693

(python-lxml)
https://abf.rosalinux.ru/build_lists/1180688
https://abf.rosalinux.ru/build_lists/1180689

(python-cython)
https://abf.rosalinux.ru/build_lists/1180696
https://abf.rosalinux.ru/build_lists/1180697

(python-sqlalchemy)
https://abf.rosalinux.ru/build_lists/1180700
https://abf.rosalinux.ru/build_lists/1180701

(python-pexpect)
https://abf.rosalinux.ru/build_lists/1180698
https://abf.rosalinux.ru/build_lists/1180699
Comment 4 Vladimir Potapov 2013-07-16 18:42:59 MSD
rpm-5.4.10-12-rosa2012.1
python3-httplib2-0.8-2-rosa2012.1
python3-distribute-0.6.35-4-rosa2012.1
python-lxml-3.2.1-2-rosa2012.1
python3-cython-0.18-2-rosa2012.1
python-sqlalchemy-0.8.1-2-rosa2012.1
python3-pexpect-2.5.1-2-rosa2012.1
********************** Advisory ******************
All python3-* packages now should provide 'pythonegg3(*)', while python2 packages should use old-style 'pythonegg(*)'.

For example, python-lxml should provide pythonegg(lxml), while python3-lxml - python3egg(lxml).
**************************************************
QA Verified